uima-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rico Landefeld <rico.landef...@googlemail.com>
Subject Re: LUCAS packaging question
Date Mon, 10 May 2010 08:17:18 GMT
I think those additional lucene dependencies can be removed. They are not
needed any more.

Rico

On Mon, May 10, 2010 at 3:21 AM, Marshall Schor <msa@schor.com> wrote:

> The Lucas annotator currently packages in the PEAR /lib/ dir the
> following libs:
> google-collections-0.9.jar
> log4j-1.2.14.jar
> Lucas-2.3.0-incubating.jar
> lucene-core-2.4.1.jar
> lucene-snowball-2.4.1.jar
>
> The POM for Lucas lists these additional Jars as runtime dependencies,
> implying that they are also needed:
>
> lucene-memory-2.4.1.jar
> lucene-highlighter-2.4.1.jar
>
> Should these Jars be in the PEAR's lib?  If not, should the dependencies
> be removed or changed to remove them from the runtime scope?
>
> -Marshall
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message